package environment.event;

import java.util.EventObject;

/**
 * Superclass for named Events. In addition to java.util.EventObject
 * a NamedEventObject also provides the identifier of the event source
 * (the observable object) in string form.
 *
 * @author Andreas Metzger
 * @version 1.0
 */

public class NamedEventObject extends EventObject {
	/** Name of the event source 
	 */
	private String name;

	/** Constructor for event object.
	 * @param source The source object (usually the object the event originated from).
	 */
	public NamedEventObject(Object source, String name) {
		super(source);
		this.name = name;
	}

	/** Gets the name of this event's source
	 * @return Name of the event source (as provided by the creator of the event object)
	 */
	public String getName() {
		return name;
	}
}
